<?php

/**
 * Plugin Name: 		Viral Inviter
 * Description: 		Increase social media presence and engagement on the website.
 * Version: 			1.1
 * License: 			GPLv3
 * License URI: 		http://www.gnu.org/licenses/gpl-3.0.txt
 * Text Domain: 		signals
 * Domain Path: 		/framework/langs/
 */

if ( ! defined( 'WPINC' ) ) {
	die;
}

// Defining constants and activation hook
define( 'SIGNALS_FFI_URL', plugins_url( '', __FILE__ ) );
define( 'SIGNALS_FFI_PATH', plugin_dir_path( __FILE__ ) );

// Default options for the plugin.
$signals_default_options = array(
	'caption' 		=> __( 'Invite Friends', 'signals' ),
	'message' 		=> __( 'This site is cool - check it out!', 'signals' ),
	'appid' 		=> '',
	'style' 		=> 'btn',
	'text' 			=> __( 'Spread the word about the website. This won\'t spam your Facebook account.', 'signals' ),
	'widget' 		=> 'disable',
	'pos' 			=> 'bottom',
	'expiry' 		=> '7',
	'bar_bg'		=> 'ff0000',
	'txt_color'		=> 'ffffff',
	'link_color' 	=> 'fff67a'
);

/**
 * For the plugin activation & de-activation.
 * We are doing nothing over here.
 */
function ffi_plugin_activation() {

	global $signals_default_options;

	// Checking if the options exist in the database
	$signals_ffi_options = get_option( 'signals_ffi_options' );

	// If the options are not there in the database, then create the default options for the plugin
	if ( ! $signals_ffi_options ) {
		update_option( 'signals_ffi_options', $signals_default_options );
	}

}
register_activation_hook( __FILE__, 'ffi_plugin_activation' );

// Hook for the plugin deactivation
function ffi_plugin_deactivation() {

	// Silence is golden
	// We might use this in future versions

}
register_deactivation_hook( __FILE__, 'ffi_plugin_deactivation' );

// Getting options from the database
$signals_ffi_options = get_option( 'signals_ffi_options' );

if ( ! $signals_ffi_options ) {
	$signals_ffi_options = $signals_default_options;
}

/**
 * Including files necessary for the management panel of the plugin.
 * Basically, support panel and option to insert custom .css is provided.
 */
if ( is_admin() ) {
	require SIGNALS_FFI_PATH . 'framework/admin/init.php';
}

// Including the widget.php file if the option is enabled
if ( 'enable' == $signals_ffi_options['widget'] ) {
	require SIGNALS_FFI_PATH . 'framework/widget.php';
}

// Let's start the plugin now
require SIGNALS_FFI_PATH . 'framework/public/init.php';
